# Assign payment method

post ` https://app.mk.io/api/v1/projects/:project_name/paymentMethod`

Replace the payment method for this project and activate the project if it is not already active. It is not possible to remove the payment method from a project.

RBAC Capability Required: `core.subscription.create`

## Authentication

Authorization Bearer

Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Path parameters

project_name string Required

## Request

This endpoint expects an object.

- **paymentMethodId** string Required format: uuid  
  Payment Method identity

## Response

- **200** The payment method was updated  
  No response body.

## Errors

- **400 Bad Request**
  - **error** object [ErrorDetail](https://docs.mediakind.com/api-reference/management-api/schemas/errordetail) Required
    - Pertinent information about the error  
      - **code** string Required  
        The error code.
      - **detail** string Required  
        The error message.
      - **extraDetail** map from strings to any Optional  
        Extra information regarding this error.  
        - **[any key]** any  
      - **ref** string Required  
        A reference to the request that caused the error.
      - **status** integer Required  
        The HTTP status code
- **401 Unauthorized**  
  Similar structure as above.
- **403 Forbidden**  
  Similar structure as above.
- **404 Not Found**  
  Similar structure as above.
- **429 Too Many Requests**  
  Similar structure as above.
- **500 Internal Server Error**  
  Similar structure as above.
